#hero {
    padding-block: 14rem 8rem;
    background: linear-gradient(
        135deg,
        #2B3E7D,
        #1A2557
    );
}
#hero .-main-box {
    display: grid;
    place-items: center;
    gap: 3.2rem;
}
#hero h1 {
    font-size: 6rem;
    color: var(--blue5B);
}
#hero p.text {
    font-size: 2rem;
    line-height: 1.625;
    color: var(--font-col-400);
}

/* Search Group */

#hero .search-group {
    margin-inline: auto;
    width: min(67.5rem, 100%);

    display: grid;
    align-items: center;
    grid-template-columns: 20px 1fr;
    gap: 1.2rem;
}

#hero .search-group svg {
    transition: color 0.25s;
}
#hero .search-group:not(:has(input[type="search"]:placeholder-shown)) svg {
    color: var(--blue5B);
}

#hero .search-group input[type="search"] {
    -webkit-appearance: none;
    appearance: none;

    padding: 1.6rem;

    font-size: 1.6rem;
    color: var(--font-col-500);

    background-color: transparent;
    outline: unset;

    border: 2px solid var(--font-col-400);
    border-radius: 6px;

    &::placeholder {
        color: #101828;
    }
}
#hero input[type="search"]:is(:hover, :focus) {
    transition: border 0.25s;
    border: 2px solid var(--blue5B);
}


/* FAQ Section */

#FAQ-section {
    padding-block: 8rem;
    background-color: #e8e8e8;
}

#FAQ-section .-main-box {
    max-width: 100rem;

    display: grid;
    gap: 4.8rem;
}
#FAQ-section .question-block {
    display: grid;
    gap: 1.6rem;

    transition: 0.5s;    
}

#FAQ-section .question-block[hidden] {
    opacity: 0;
    position: absolute;
    z-index: -1;
}

#FAQ-section h2 {
    display: grid;
    grid-template-columns: 48px 1fr;
    align-items: center;
    gap: 1.2rem;

    margin-bottom: 1.2rem;
}
#FAQ-section h2 .strong-ico {
    --c: var(--blue5B);
    --alpha: 0.9;
    width: 100%;

    & svg {
        --d: 24px;
        color: #fff;
    }
}
#FAQ-section h2 span {
    font-size: 3.6rem;
    color: var(--blue5B);
    text-align: start;
    line-height: 1;
}

#FAQ-section details {
    background-color: #fff;
    border-radius: 6px;

    box-shadow: 
        rgba(0, 0, 0, 0.1) 0px 4px 6px -1px,
        rgba(0, 0, 0, 0.1) 0px 2px 4px -2px;

    transition: box-shadow 0.25s;

    overflow: clip;
    cursor: pointer;
}

#FAQ-section details:is(:hover, :focus-within) {
    box-shadow:
        rgba(0, 0, 0, 0.1) 0px 10px 15px -3px,
        rgba(0, 0, 0, 0.1) 0px 4px 6px -4px;
}

#FAQ-section details summary {
    padding: 2rem 2.4rem;
    padding-right: 6rem;

    font-size: 1.8rem;
    font-weight: 500;
    color: var(--blue5B);
    text-transform: uppercase;

    transition: background-color 0.3s ease-in-out;
    user-select: none;

    position: relative;
    isolation: isolate;
}

#FAQ-section details summary::marker,
#FAQ-section details summary::-webkit-details-marker {
    appearance: none;
    color: transparent;
    font-size: 0;
    opacity: 0;
}

#FAQ-section details summary svg {
    position: absolute;
    top: 2rem; right: 2.4rem;

    color: #000;
    background-color: var(--yellow);
    border-radius: 50%;

    transition: rotate 0.3s;

    z-index: 1;
}

#FAQ-section details[open] summary {
    background-color: #f9fafb;
}
#FAQ-section details[open] summary svg {
    rotate: 45deg;
}

#FAQ-section details .details-inner {
    padding: 2rem 2.4rem;

    display: grid;
    gap: 5px;
}

#FAQ-section details .details-inner * {
    font-size: 1.6rem;
    line-height: 1.625;
    color: #364153;

    & b {
        font-weight: 600;
    }
    & a {
        color: var(--blue3D);
    }
}
#FAQ-section details .details-inner :is(ul, ol) {
    margin-left: 2.2rem;
    & li {
        opacity: 0.8;
        &::marker {
            color: var(--blue3D);
        }
    }
}


/* No Results */
#text404 {
    font-size: 2rem;
    font-weight: 500;
    line-height: 1.625;
    color: #4a5565;
    text-align: center;
    & b {
        color: darkred;
    }
}


/* Still have a questions? */
#more-questions {
    padding-block: 8rem;
    background-color: #fff;
}
#more-questions .-main-stack {
    max-width: 83.5rem;
    padding: 4.8rem;

    display: grid;
    place-items: center;
    gap: 2.4rem;

    background: linear-gradient(
        135deg,
        var(--blue5B),
        var(--blue4A)
    );

    border-radius: 1.6rem;
}
#more-questions h2 {
    text-transform: uppercase;
}
#more-questions p.text {
    font-size: 2rem;
    font-weight: 500;
    line-height: 1.625;
    color: var(--font-col-500);
    text-align: center;
}

#more-questions .buttons {
    margin-block: 1rem;

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1.2rem;
}
#more-questions .links p {
    font-size: 1.6rem;
    color: var(--font-col-500);
    text-align: center;
    margin-bottom: 3px;
}
#more-questions .links a {
    font-size: inherit;
    font-weight: 500;
    color: var(--yellow);

    &:is(:hover, :focus) {
        color: var(--yellowE5);
    }
}


/* EXPLORE OUR SERVICES */
#services {
    padding-block: 8rem;
    background-color: #000;
}

#services p.text {
    margin-block: 3.2rem;

    font-size: 2rem;
    text-align: center;
    color: var(--font-col-400);
}

#services ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(30rem, 1fr));
    gap: 2.4rem;
}

#services ul li {
    padding: 3.2rem;

    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 4;
    gap: 1.2rem;

    background-color: var(--main-col2);
    border: 2px solid var(--main-col2);
    border-radius: 1.6rem;

    transition: border 0.25s;
}
#services ul li > svg {
    --size: 48px;
    color: var(--yellow);
}
#services ul li h3 {
    font-size: 2rem;
    font-style: italic;
    color: var(--font-col-600);
    text-transform: uppercase;
}
#services ul li p {
    font-size: 1.6rem;
    line-height: 1.625;
    color: var(--font-col-400);
}
#services ul li a {
    font-size: 1.6rem;
    font-weight: 500;
    color: var(--yellow);
    text-decoration: none;

    display: flex;
    align-items: center;
    gap: 8px;
}
#services ul li a svg {
    padding: 2px;
    color: var(--yellow);
    transition: translate 0.25s;
}
#services ul li:is(:hover, :focus) {
    border: 2px solid var(--yellow);
}
#services ul li a:is(:hover, :focus) svg {
    translate: 5px 0;
}


/* READY TO GET STARTED? */
#cta {
    padding-block: 8rem;
    background-color: #e8e8e8;
}
#cta .-main-box {
    max-width: 76.5rem;

    display: grid;
    place-items: center;
    gap: 3.2rem;
}
#cta h2 {
    font-size: 4.8rem;
    color: #000;
    & b {
        color: var(--blue5B);
    }
}
#cta p.text {
    font-size: 2rem;
    font-weight: 500;
    color: #364153;
    line-height: 1.625;
    text-align: center;
}